package com.dooapp.gaedo.test.beans;

import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.LinkedList;
import javax.persistence.Id;
import com.dooapp.gaedo.extensions.hierarchy.Child;
import com.dooapp.gaedo.test.beans.specific.Theme;
import com.dooapp.gaedo.test.beans.specific.ThemeInformer;
import com.dooapp.gaedo.finders.Informer;
import com.dooapp.gaedo.finders.informers.*;

/**
Informer for {@link User}
@author InformerMojos
*/
public interface UserInformer extends Informer<User> {

    /**
	informer for property {@link User#id}.
	@return an instance of {@link DoubleFieldInformer} configured for manipulation of {@link User#id}
	*/
    public DoubleFieldInformer getId();

    /**
	informer for property {@link User#login}.
	@return an instance of {@link StringFieldInformer} configured for manipulation of {@link User#login}
	*/
    public StringFieldInformer getLogin();

    /**
	informer for property {@link User#password}.
	@return an instance of {@link StringFieldInformer} configured for manipulation of {@link User#password}
	*/
    public StringFieldInformer getPassword();

    /**
	informer for property {@link User#posts}.
	@return an instance of {@link CollectionFieldInformer<Post>} configured for manipulation of {@link User#posts}
	*/
    public CollectionFieldInformer<Post> getPosts();

    /**
	informer for property {@link User#theme}.
	@return an instance of {@link ThemeInformer} configured for manipulation of {@link User#theme}
	*/
    public ThemeInformer getTheme();
}
